Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Service_Types.cpp File Reference

`#include "ace/Service_Types.h"`
`#include "ace/Stream_Modules.h"`
`#include "ace/Stream.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for Service_Types.cpp:

## Typedefs
typedef ACE_Module< ACE_SYNCH > | MT_Module
typedef ACE_Task< ACE_SYNCH > | MT_Task
## Variables
ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Stream< ACE_SYNCH > | MT_Stream

## Typedef Documentation

typedef ACE_Module<ACE_SYNCH> MT_Module

typedef ACE_Task<ACE_SYNCH> MT_Task

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef ACE_Stream<ACE_SYNCH> MT_Stream